.pagination {
  --pagination-size: 40px;

  @media screen and (min-width: 750px) {
    --pagination-size: 44px;
  }
}

.pagination__list {
  gap: var(--gap-xs);
}

.pagination__link {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: var(--grid-gutter);
  color: var(--color-secondary-button-text);
  background: var(--color-secondary-button-background);
  border: 1px solid var(--color-secondary-button-border);
  border-radius: var(--bbd-border-radius);
  box-shadow: none;

  &:hover,
  &:focus-visible {
    color: var(--color-secondary-button-hover-text);
    background: var(--color-secondary-button-hover-background);
    border-color: var(--color-secondary-button-hover-border);
  }

  &::before,
  &::after {
    display: none;
  }

  .svg-wrapper,
  .svg-wrapper svg {
    width: var(--icon-size-lg);
    height: var(--icon-size-lg);
  }

  &.pagination__link--current {
    color: var(--color-primary-button-text);
    background: var(--color-primary-button-background);
    border-color: var(--color-primary-button-border);
  }

  &.pagination__link--gap {
    border: 0;
  }
}
